<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>globus_callback.h</name>
    <path>/builddir/build/BUILD/globus_common-10.2/library/</path>
    <filename>globus__callback_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchor>a6a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchor>a6a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchor>a6a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchor>a6a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchor>a6a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchor>a6a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchor>a11</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchor>a16</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchor>a17</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchor>a18</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_callback_func_t</name>
      <anchor>a0</anchor>
      <arglist>)(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchor>a1</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const  globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchor>a2</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const  globus_reltime_t *delay_time, const  globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchor>a3</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchor>a4</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const  globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchor>a5</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const  globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchor>a6</anchor>
      <arglist>(const  globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchor>a8</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchor>a11a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchor>a11a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchor>a11a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchor>a0</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchor>a1</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchor>a2</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchor>a3</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchor>a4</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchor>a5</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchor>a6</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchor>a7</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchor>a8</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchor>a9</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchor>a0</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchor>a1</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchor>a2</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>globus_thread_common.h</name>
    <path>/builddir/build/BUILD/globus_common-10.2/library/</path>
    <filename>globus__thread__common_8h</filename>
  </compound>
  <compound kind="struct">
    <name>globus_url_t</name>
    <filename>structglobus__url__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>scheme</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_url_scheme_t</type>
      <name>scheme_type</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>user</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>password</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>host</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>port</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_path</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>dn</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>attributes</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>scope</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>filter</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_specific_part</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback</name>
    <title>Globus Callback</title>
    <filename>group__globus__callback.html</filename>
    <subgroup>globus_callback_api</subgroup>
    <subgroup>globus_callback_spaces</subgroup>
    <subgroup>globus_callback_signal</subgroup>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchor>a6a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchor>a6a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchor>a6a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchor>a6a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchor>a6a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchor>a6a22</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_api</name>
    <title>Globus Callback API</title>
    <filename>group__globus__callback__api.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchor>a11</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchor>a16</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchor>a17</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchor>a18</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_callback_func_t</name>
      <anchor>a0</anchor>
      <arglist>)(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchor>a1</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const  globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchor>a2</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const  globus_reltime_t *delay_time, const  globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchor>a3</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchor>a4</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const  globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchor>a5</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const  globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchor>a6</anchor>
      <arglist>(const  globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchor>a8</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_spaces</name>
    <title>Globus Callback Spaces</title>
    <filename>group__globus__callback__spaces.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchor>a11a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchor>a11a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchor>a11a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchor>a0</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchor>a1</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchor>a2</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchor>a3</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchor>a4</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchor>a5</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchor>a6</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchor>a7</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchor>a8</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchor>a9</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_signal</name>
    <title>Globus Callback Signal Handling</title>
    <filename>group__globus__callback__signal.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchor>a0</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchor>a1</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchor>a2</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_api</name>
    <title>Globus Errno Error API</title>
    <filename>group__globus__errno__error__api.html</filename>
    <subgroup>globus_errno_error_object</subgroup>
    <subgroup>globus_errno_error_accessor</subgroup>
    <subgroup>globus_errno_error_utility</subgroup>
    <docanchor>globus_errno_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__errno__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_errno_error</name>
      <anchor>a0</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const  int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_errno_error</name>
      <anchor>a1</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const  int system_errno)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_ERRNO</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__errno__error__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_error_errno_get_errno</name>
      <anchor>a0</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_errno_set_errno</name>
      <anchor>a1</anchor>
      <arglist>(globus_object_t *error, const  int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__errno__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_errno_match</name>
      <anchor>a0</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_errno_error</name>
      <anchor>a1</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int system_errno, int type, const  char *source_file, const  char *source_func, int source_line, const  char *short_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_error_api</name>
    <title>Globus Error API</title>
    <filename>group__globus__error__api.html</filename>
    <subgroup>globus_errno_error_api</subgroup>
    <subgroup>globus_generic_error_api</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_api</name>
    <title>Globus Generic Error API</title>
    <filename>group__globus__generic__error__api.html</filename>
    <subgroup>globus_generic_error_object</subgroup>
    <subgroup>globus_generic_error_accessor</subgroup>
    <subgroup>globus_generic_error_utility</subgroup>
    <docanchor>globus_generic_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__generic__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_error</name>
      <anchor>a0</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const  char *source_file, const  char *source_func, int source_line, const  char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_v_construct_error</name>
      <anchor>a1</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const  int type, const  char *source_file, const  char *source_func, int source_line, const  char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_error</name>
      <anchor>a2</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const  char *source_file, const  char *source_func, int source_line, const  char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GLOBUS</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__generic__error__accessor.html</filename>
    <member kind="function">
      <type>globus_module_descriptor_t *</type>
      <name>globus_error_get_source</name>
      <anchor>a0</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_source</name>
      <anchor>a1</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *source_module)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_get_cause</name>
      <anchor>a2</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_cause</name>
      <anchor>a3</anchor>
      <arglist>(globus_object_t *error, globus_object_t *causal_error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_get_type</name>
      <anchor>a4</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_type</name>
      <anchor>a5</anchor>
      <arglist>(globus_object_t *error, const  int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_short_desc</name>
      <anchor>a6</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_short_desc</name>
      <anchor>a7</anchor>
      <arglist>(globus_object_t *error, const  char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_long_desc</name>
      <anchor>a8</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_long_desc</name>
      <anchor>a9</anchor>
      <arglist>(globus_object_t *error, const  char *long_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__generic__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match</name>
      <anchor>a0</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_chain</name>
      <anchor>a1</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_friendly</name>
      <anchor>a2</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_common_thread</name>
    <title>Globus Thread API</title>
    <filename>group__globus__common__thread.html</filename>
  </compound>
  <compound kind="group">
    <name>globus_url</name>
    <title>URL String Parser</title>
    <filename>group__globus__url.html</filename>
    <class kind="struct">globus_url_t</class>
    <member kind="enumeration">
      <name>globus_url_scheme_t</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FTP</name>
      <anchor>a6a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_GSIFTP</name>
      <anchor>a6a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTP</name>
      <anchor>a6a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTPS</name>
      <anchor>a6a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_LDAP</name>
      <anchor>a6a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FILE</name>
      <anchor>a6a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_NEXUS</name>
      <anchor>a6a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_GASS_CACHE</name>
      <anchor>a6a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_UNKNOWN</name>
      <anchor>a6a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_NUM_SCHEMES</name>
      <anchor>a6a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse</name>
      <anchor>a0</anchor>
      <arglist>(const  char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_rfc1738</name>
      <anchor>a1</anchor>
      <arglist>(const  char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_loose</name>
      <anchor>a2</anchor>
      <arglist>(const  char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_destroy</name>
      <anchor>a3</anchor>
      <arglist>(globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_get_scheme</name>
      <anchor>a4</anchor>
      <arglist>(const  char *url_string, globus_url_scheme_t *scheme_type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_copy</name>
      <anchor>a5</anchor>
      <arglist>(globus_url_t *dst, const  globus_url_t *src)</arglist>
    </member>
  </compound>
</tagfile>
